<template>
  <a-table
    :columns="columns"
    :data-source="products"
    size="small"
    :pagination="false"
    class="pl-3 pb-3 pr-3"
  >
    <template slot="products_avatar" slot-scope="scopeSrc">
      <a-avatar :size="22" :src="scopeSrc" />
    </template>
  </a-table>
</template>

<script>
export default {
  props: ["products"],
  data() {
    return {
      columns: [
        {
          dataIndex: "products_avatar",
          title: "Perfil",
          sortDirection: "desc",
          class: "small font-weight-light",
          scopedSlots: { customRender: "products_avatar" },
        },
        {
          dataIndex: "products_name",
          title: "Produto",
          class: "small font-weight-light",
        },
        {
          dataIndex: "value",
          title: "Valor",
          class: "small font-weight-light text-right",
        },
      ],
    };
  },
};
</script>
